Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.base
Class BasicProjectInfo

    java.lang.Object
      org.jfree.base.Library
          org.jfree.base.BasicProjectInfo

Direct Known Subclasses:
  BootableProjectInfo

    public class BasicProjectInfo

extends Library

Basic project info.

Author:
  Thomas Morgner

Constructor Summary
`BasicProjectInfo()` Default constructor.
`BasicProjectInfo(java.lang.String name, java.lang.String version, java.lang.String licence, java.lang.String info)` Creates a new library reference.
`BasicProjectInfo(java.lang.String name, java.lang.String version, java.lang.String info, java.lang.String copyright, java.lang.String licenceName)` Creates a new project info instance.

Method Summary
`void` | `addLibrary(Library library)` Adds a library.
`void` | `addOptionalLibrary(Library library)` Adds an optional library.
`void` | `addOptionalLibrary(java.lang.String libraryClass)` Adds an optional library.
`java.lang.String` | `getCopyright()` Returns the copyright statement.
`Library[]` | `getLibraries()` Returns a list of libraries used by the project.
`Library[]` | `getOptionalLibraries()` Returns a list of optional libraries used by the project.
`void` | `setCopyright(java.lang.String copyright)` Sets the project copyright statement.
`void` | `setInfo(java.lang.String info)` Sets the project info string (for example, this could be the project URL).
`void` | `setLicenceName(java.lang.String licence)` Sets the license name.
`void` | `setName(java.lang.String name)` Sets the project name.
`void` | `setVersion(java.lang.String version)` Sets the project version number.

Methods inherited from class org.jfree.base.Library
`equals, getInfo, getLicenceName, getName, getVersion, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicProjectInfo

    public BasicProjectInfo()

  Default constructor.

### BasicProjectInfo

    public BasicProjectInfo(java.lang.String name,
                            java.lang.String version,
                            java.lang.String licence,
                            java.lang.String info)

  Creates a new library reference.

  Parameters:
    `name` - the name.
    `version` - the version.
    `licence` - the licence.
    `info` - the web address or other info.

### BasicProjectInfo

    public BasicProjectInfo(java.lang.String name,
                            java.lang.String version,
                            java.lang.String info,
                            java.lang.String copyright,
                            java.lang.String licenceName)

  Creates a new project info instance.

  Parameters:
    `name` - the project name.
    `version` - the project version.
    `info` - the project info (web site for example).
    `copyright` - the copyright statement.
    `licenceName` - the license name.

Method Detail

### getCopyright

    public java.lang.String getCopyright()

  Returns the copyright statement.

  Returns:
    The copyright statement.

### setCopyright

    public void setCopyright(java.lang.String copyright)

  Sets the project copyright statement.

  Parameters:
    `copyright` - the project copyright statement.

### setInfo

    public void setInfo(java.lang.String info)

  Sets the project info string (for example, this could be the project URL).

  Overrides:
    `setInfo` in class `Library`
  Parameters:
    `info` - the info string.

### setLicenceName

    public void setLicenceName(java.lang.String licence)

  Sets the license name.

  Overrides:
    `setLicenceName` in class `Library`
  Parameters:
    `licence` - the license name.

### setName

    public void setName(java.lang.String name)

  Sets the project name.

  Overrides:
    `setName` in class `Library`
  Parameters:
    `name` - the project name.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the project version number.

  Overrides:
    `setVersion` in class `Library`
  Parameters:
    `version` - the version number.

### getLibraries

    public Library[] getLibraries()

  Returns a list of libraries used by the project.

  Returns:
    the list of libraries.

### addLibrary

    public void addLibrary(Library library)

  Adds a library.

  Parameters:
    `library` - the library.

### getOptionalLibraries

    public Library[] getOptionalLibraries()

  Returns a list of optional libraries used by the project.

  Returns:
    the list of libraries.

### addOptionalLibrary

    public void addOptionalLibrary(java.lang.String libraryClass)

  Adds an optional library. These libraries will be booted, if they define a boot class. A missing class is considered non-fatal and it is assumed that the programm knows how to handle that.

  Parameters:
    `libraryClass` - the library.

### addOptionalLibrary

    public void addOptionalLibrary(Library library)

  Adds an optional library. These libraries will be booted, if they define a boot class. A missing class is considered non-fatal and it is assumed that the programm knows how to handle that.

  Parameters:
    `library` - the library.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD